Skip to main content
GET
Get block by hash

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://voyager.online/plans

Path Parameters

blockHash
string
required

Block number, block hash (0x-prefixed hex), or "pre_confirmed" for pending blocks.

Pattern: ^(0x[0-9a-fA-F]{1,66}|[0-9]+|pre_confirmed)$

Response

Block details

blockNumber
number | null
required
timestamp
number | null
required
txnCount
number | null
required
messageCount
number | null
required
eventCount
number | null
required
confirmations
number | null
required
timeToMine
number | null
required
l1AcceptTime
number | null
required
hash
string | null
stateRoot
string | null
l1VerificationTxHash
string | null
status
string | null
prevBlockHash
string | null
nextBlockHash
string | null
sequencerAddress
string | null
totalFee
string | null
version
string | null
ethGasPrice
string | null
strkGasPrice
string | null